# PetscDrawSetFromOptions

Sets the graphics type from the options database. Defaults to a PETSc X windows graphics.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetFromOptions(PetscDraw draw)

Collective on PetscDraw

### Input Parameter

draw -the graphics context

### Options Database Keys

| -nox | - do not use X graphics (ignore graphics calls, but run program correctly)
| -nox_warning | - when X windows support is not installed this prevents the warning message from being printed

### Notes

Must be called after PetscDrawCreate() before the PetscDrawtor is used.

### See Also

PetscDrawCreate(), PetscDrawSetType()

Level:intermediate
Location: src/sys/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages